## org.biojava.ontology
Class OntoTools

    java.lang.Object
      org.biojava.ontology.OntoTools

    public final class OntoTools

extends Object

Tools for manipulating ontologies.

Author:
  Matthew Pocock

Field Summary
`static Term` `ANY`
`static Term` `EQUIVALENCE`
`static Term` `IS_A`
`static Term` `NONE`
`static Term` `PART_OF`
`static Term` `PARTIAL_ORDER`
`static Term` `REFLEXIVE`
`static Term` `RELATION`
`static Term` `SYMMETRIC`
`static Term` `TRANSITIVE`

Method Summary
`static Ontology` `getCoreOntology()` Get the Ontology that defines our core "central dogma".
`static OntologyFactory` `getDefaultFactory()`
`static IntegerOntology` `getIntegerOntology()` Get the Ontology that defines integers.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### RELATION

    public static final Term RELATION

### ANY

    public static final Term ANY

### NONE

    public static final Term NONE

### IS_A

    public static final Term IS_A

### PART_OF

    public static final Term PART_OF

### REFLEXIVE

    public static final Term REFLEXIVE

### SYMMETRIC

    public static final Term SYMMETRIC

### TRANSITIVE

    public static final Term TRANSITIVE

### EQUIVALENCE

    public static final Term EQUIVALENCE

### PARTIAL_ORDER

    public static final Term PARTIAL_ORDER

Method Detail

### getCoreOntology

    public static Ontology getCoreOntology()

  Get the Ontology that defines our core "central dogma".

  This contains definitions that we have to have, such as `any`, `predicate`, `is-a` and `transient`. These are our axioms, upon which the default interpreters build.

  Returns:
    the "core" Ontology

### getIntegerOntology

    public static IntegerOntology getIntegerOntology()

  Get the Ontology that defines integers.

  This contains a term for each and every integer. I haven't decided yet if it contains terms for arithmatic.

  Returns:
    the integer Ontology

### getDefaultFactory

    public static OntologyFactory getDefaultFactory()